
/*
 *      writed by kir http://paradox.org.ua
 */

#ifndef _i2c_h_
#define _i2c_h_


class CTTSpciI2C
{
protected:

	int	Slave;
	int	Error;
	int	ErrNo;
	int	Count;

	int	IICTRF;	
	int	IICSTATE;

	int	*Buffer[3];

	CTTSpciIoIrq	*pci;

	void	SetIICTRF(int data, unsigned char cmd, unsigned char idx);
	void	ClearIICTRF(void);
	void	AddIICTRF(int *data, unsigned char cmd, int res);
	void	FlushIICTRF(void);
	void	ReadIICTRF(void);
	int	CheckIICSTATE(void);

public:
	CTTSpciI2C(CTTSpciIoIrq *pci);
	~CTTSpciI2C();

	void	Sleep(unsigned int ms);

	void	Init(void);

	int	GetSlave();
	void	SetSlave(int slave);

	int	GetErrNo(void);

	int	ReadSeq(int *readBuf, int readLen);
	int	WriteSeq(int *writeBuf, int writeLen);
	int	CombinedSeq(int *writeBuf, int writeLen, int *readBuf, int readLen);

};

#endif

