
/*
 *      writed by kir http://paradox.org.ua
 */

extern "C"
{
#include <sys/types.h>
#include <sys/param.h>
#include <sys/bus.h>

#include "netio.h"
}

#include "adapter.h"
#include "net.h"

CNetDev::CNetDev(CDvbAdapter *dvb, unsigned char *MACAddress):dvb(dvb)
{
	netcall.data = this;
	netcall.netStart = NETFUNC(&CNetDev::netStart);
	netcall.netStop = NETFUNC(&CNetDev::netStop);

	net_init(&netcall, MACAddress);
}

CNetDev::~CNetDev()
{
	net_free(&netcall);
}

void
CNetDev::netStart(CNetDev *net)
{
	(net->dvb)->HWEnableDataDMA();
}

void
CNetDev::netStop(CNetDev *net)
{
	(net->dvb)->HWDisableDataDMA();
}

void
CNetDev::NetCallback(unsigned char *pkt, int len)
{
	net_callback(&netcall, pkt, len);
}

