
/*
 *      writed by kir http://paradox.org.ua
 */

#ifndef _netio_h_
#define _netio_h_

struct netcallback
{
	struct	ifnet	*ifp;

	void	*data;
	void	(*netStop)(void *data);
	void	(*netStart)(void *data);
};

typedef	void (*netFunction)(void *);
#define	NETFUNC(x)	reinterpret_cast<netFunction>(x)

void
net_init(struct netcallback *net, unsigned char *eaddr);

void
net_free(struct netcallback *net);

void
net_callback(struct netcallback *net, unsigned char *pkt, int len);

#endif

